gi-gdk-3.0.29: Gdk bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gdk.Structs.KeymapKey

Contents

- Exported types
- Methods
- Properties
  - group
  - keycode
  - level

Description

A `KeymapKey` is a hardware key that can be mapped to a keyval.

Synopsis

- newtype KeymapKey = KeymapKey (ManagedPtr KeymapKey)
- newZeroKeymapKey :: MonadIO m => m KeymapKey
- getKeymapKeyGroup :: MonadIO m => KeymapKey -> m Int32
- setKeymapKeyGroup :: MonadIO m => KeymapKey -> Int32 -> m ()
- getKeymapKeyKeycode :: MonadIO m => KeymapKey -> m Word32
- setKeymapKeyKeycode :: MonadIO m => KeymapKey -> Word32 -> m ()
- getKeymapKeyLevel :: MonadIO m => KeymapKey -> m Int32
- setKeymapKeyLevel :: MonadIO m => KeymapKey -> Int32 -> m ()

# Exported types

newtype KeymapKey Source #

Memory-managed wrapper type.

Constructors

KeymapKey (ManagedPtr KeymapKey) |

#### Instances

Instances details

Eq KeymapKey Source # |
Instance details Defined in GI.Gdk.Structs.KeymapKey Methods (==) :: KeymapKey -> KeymapKey -> Bool Source # (/=) :: KeymapKey -> KeymapKey -> Bool Source #
BoxedPtr KeymapKey Source # |
Instance details Defined in GI.Gdk.Structs.KeymapKey Methods boxedPtrCopy :: KeymapKey -> IO KeymapKey Source # boxedPtrFree :: KeymapKey -> IO () Source #
CallocPtr KeymapKey Source # |
Instance details Defined in GI.Gdk.Structs.KeymapKey Methods boxedPtrCalloc :: IO (Ptr KeymapKey) Source #
ManagedPtrNewtype KeymapKey Source # |
Instance details Defined in GI.Gdk.Structs.KeymapKey Methods toManagedPtr :: KeymapKey -> ManagedPtr KeymapKey Source #
tag ~ 'AttrSet => Constructible KeymapKey tag Source # |
Instance details Defined in GI.Gdk.Structs.KeymapKey Methods new :: MonadIO m => (ManagedPtr KeymapKey -> KeymapKey) -> [AttrOp KeymapKey tag] -> m KeymapKey Source #

newZeroKeymapKey :: MonadIO m => m KeymapKey Source #

Construct a `KeymapKey` struct initialized to zero.

# Methods

# Properties

## group

indicates movement in a horizontal direction. Usually groups are used for two different languages. In group 0, a key might have two English characters, and in group 1 it might have two Hebrew characters. The Hebrew characters will be printed on the key next to the English characters.

getKeymapKeyGroup :: MonadIO m => KeymapKey -> m Int32 Source #

Get the value of the “`group`” field. When overloading is enabled, this is equivalent to

    get keymapKey #group

setKeymapKeyGroup :: MonadIO m => KeymapKey -> Int32 -> m () Source #

Set the value of the “`group`” field. When overloading is enabled, this is equivalent to

    set keymapKey [ #group := value ]

## keycode

the hardware keycode. This is an identifying number for a physical key.

getKeymapKeyKeycode :: MonadIO m => KeymapKey -> m Word32 Source #

Get the value of the “`keycode`” field. When overloading is enabled, this is equivalent to

    get keymapKey #keycode

setKeymapKeyKeycode :: MonadIO m => KeymapKey -> Word32 -> m () Source #

Set the value of the “`keycode`” field. When overloading is enabled, this is equivalent to

    set keymapKey [ #keycode := value ]

## level

indicates which symbol on the key will be used, in a vertical direction. So on a standard US keyboard, the key with the number “1” on it also has the exclamation point ("!") character on it. The level indicates whether to use the “1” or the “!” symbol. The letter keys are considered to have a lowercase letter at level 0, and an uppercase letter at level 1, though only the uppercase letter is printed.

getKeymapKeyLevel :: MonadIO m => KeymapKey -> m Int32 Source #

Get the value of the “`level`” field. When overloading is enabled, this is equivalent to

    get keymapKey #level

setKeymapKeyLevel :: MonadIO m => KeymapKey -> Int32 -> m () Source #

Set the value of the “`level`” field. When overloading is enabled, this is equivalent to

    set keymapKey [ #level := value ]